Revoke API Key
curl --request POST \
--url https://api.example.com/v1/api-keys/{key_id}/revokeimport requests
url = "https://api.example.com/v1/api-keys/{key_id}/revoke"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/v1/api-keys/{key_id}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/api-keys/{key_id}/revoke",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/api-keys/{key_id}/revoke"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/api-keys/{key_id}/revoke")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/api-keys/{key_id}/revoke")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"_id": 1024,
"name": "Development API Key",
"permissions": [
"read",
"write"
],
"expiration_date": "2027-11-01T00:00:00Z",
"created_at": "2026-11-01T00:00:00Z",
"revoked": false,
"created_by_user_id": "user_123",
"verbex_id": "vx_123",
"user_org_id": "org_123",
"user_workspace_id": null,
"api_key": "<hashed value>"
}{
"status_code": 400,
"status": "error",
"message": "Validation Error",
"error_details": "Number of days until the API key expires, between 1 and 365 days"
}{
"status_code": 400,
"status": "error",
"message": "Validation Error",
"error_details": "Number of days until the API key expires, between 1 and 365 days"
}API Keys
Revoke API Key
Revoke an API key. A revoked key can no longer be used to authenticate. Returns the revoked key.
POST
/
v1
/
api-keys
/
{key_id}
/
revoke
Revoke API Key
curl --request POST \
--url https://api.example.com/v1/api-keys/{key_id}/revokeimport requests
url = "https://api.example.com/v1/api-keys/{key_id}/revoke"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/v1/api-keys/{key_id}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/api-keys/{key_id}/revoke",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/api-keys/{key_id}/revoke"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/api-keys/{key_id}/revoke")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/api-keys/{key_id}/revoke")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"_id": 1024,
"name": "Development API Key",
"permissions": [
"read",
"write"
],
"expiration_date": "2027-11-01T00:00:00Z",
"created_at": "2026-11-01T00:00:00Z",
"revoked": false,
"created_by_user_id": "user_123",
"verbex_id": "vx_123",
"user_org_id": "org_123",
"user_workspace_id": null,
"api_key": "<hashed value>"
}{
"status_code": 400,
"status": "error",
"message": "Validation Error",
"error_details": "Number of days until the API key expires, between 1 and 365 days"
}{
"status_code": 400,
"status": "error",
"message": "Validation Error",
"error_details": "Number of days until the API key expires, between 1 and 365 days"
}Path Parameters
Numeric ID of the API key
Pattern:
^\d+$Query Parameters
Workspace the key is scoped to, if it is a workspace key
Response
API key revoked
Unique identifier for this API key
The descriptive name given to this API key
When this API key expires and becomes invalid (UTC)
When this API key was created (UTC)
Whether this API key has been revoked
List of permission scopes granted to this API key
Identifier of the user who created this API key
Verbex ID of the key owner
Organization the key belongs to
Workspace the key is scoped to, if any
The stored (hashed) key value. The usable plain-text key is only returned once, when the key is created.

